# pybedtools.bedtool.BedTool.slop

`BedTool.``slop`(*args, **kwargs)

  > Wraps `bedtools slop`.

  For convenience, the file or stream this BedTool points to is implicitly passed as the `-i` argument to `slopBed`

  There are two alternatives for supplying a genome. Use `g="genome.filename"` if you have a genome’s chrom sizes saved as a file. This is the what BEDTools expects when using it from the command line. Alternatively, use the `genome="assembly.name"` (for example, `genome="hg19"`) to use chrom sizes for that assembly without having to manage a separate file. The `genome` argument triggers a call `pybedtools.chromsizes`, so see that method for more details.

  Original BEDTools help::

      Tool:    bedtools slop (aka slopBed)
      Version: v2.29.2
      Summary: Add requested base pairs of "slop" to each feature.

      Usage:   bedtools slop [OPTIONS] -i <bed/gff/vcf> -g <genome> [-b <int> or (-l and -r)]

      Options:
              -b      Increase the BED/GFF/VCF entry -b base pairs in each direction.
                      - (Integer) or (Float, e.g. 0.1) if used with -pct.

              -l      The number of base pairs to subtract from the start coordinate.
                      - (Integer) or (Float, e.g. 0.1) if used with -pct.

              -r      The number of base pairs to add to the end coordinate.
                      - (Integer) or (Float, e.g. 0.1) if used with -pct.

              -s      Define -l and -r based on strand.
                      E.g. if used, -l 500 for a negative-stranded feature,
                      it will add 500 bp downstream.  Default = false.

              -pct    Define -l and -r as a fraction of the feature's length.
                      E.g. if used on a 1000bp feature, -l 0.50,
                      will add 500 bp "upstream".  Default = false.

              -header Print the header from the input file prior to results.

      Notes:
              (1)  Starts will be set to 0 if options would force it below 0.
              (2)  Ends will be set to the chromosome length if  requested slop would
              force it above the max chrom length.
              (3)  The genome file should tab delimited and structured as follows:

              <chromName><TAB><chromSize>

              For example, Human (hg19):
              chr1    249250621
              chr2    243199373
              ...
              chr18**gl000207**random 4262

      Tips:
              One can use the UCSC Genome Browser's MySQL database to extract
              chromosome sizes. For example, H. sapiens:

              mysql --user=genome --host=genome-mysql.cse.ucsc.edu -A -e \
              "select chrom, size from hg19.chromInfo"  > hg19.genome